<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<?php
include('../include/session.php');

$job_card_no = $_GET['job_card_no'];
$quote='no';
$table_name = $_SESSION['db_prefix']."_compiled_jobs";
$job_query = "SELECT * FROM $table_name WHERE job_card_no = '".$job_card_no."' ";
$job_result = mySQL_query($job_query);
$cust_id = mysql_result($job_result, 0, "cust_id");	

$table_name2 = $_SESSION['db_prefix']."_customer";
		$customer_query = "SELECT * FROM $table_name2 WHERE cust_id ='".$cust_id."' ";
		$customer_result = mySQL_query($customer_query);
		$customer_num = mysql_num_rows($customer_result);	
		$a1 = mysql_result($customer_result, 0, "account_type");
			if ($a1=="corporate") { 
				$name = mysql_result($customer_result, 0, "comp_name"); 
			} 
			else {
				$name = mysql_result($customer_result, 0, "title")." ".mysql_result($customer_result, 0, "name_2")." ".mysql_result($customer_result, 0, "comp_name");
 			}

$table_name = $_SESSION['db_prefix']."_install_jobs";
$install_query = "SELECT * FROM $table_name WHERE job_card_no = '".$job_card_no."' ";
$install_result = mySQL_query($install_query);
$install_num = mysql_num_rows($install_result);
$install_date = mysql_result($install_result, 0, "install_date");
$confirmed = mysql_result($install_result, 0, "confirmed");
$forman = mysql_result($install_result, 0, "forman");
$site_contact = mysql_result($install_result, 0, "site_contact");
$site_no = mysql_result($install_result, 0, "site_no");
$route_description = mysql_result($install_result, 0, "route_description");
$vehicle_id = mysql_result($install_result, 0, "vehicle");
	$table_name2 = $_SESSION['db_prefix']."_employee";
	$employee_query = "SELECT emp_first_name, emp_last_name FROM $table_name2 WHERE emp_id ='".$forman."' ";
	$employee_result = mySQL_query($employee_query);
	$employee_num = mysql_num_rows($employee_result);	
$forman_name = mysql_result($employee_result, 0, "emp_first_name").' '.mysql_result($employee_result, 0, "emp_last_name"); 

$table_name = $_SESSION['db_prefix']."_vehicle";
$vehicle_query = "SELECT  registration_no, make, model FROM $table_name WHERE vehicle_id = '".$vehicle_id."' ";
$vehicle_result = mySQL_query($vehicle_query);
$vehicle_name = mysql_result($vehicle_result, 0, "registration_no").' '.mysql_result($vehicle_result, 0, "make").' '.mysql_result($vehicle_result, 0, "model");


$table_name = $_SESSION['db_prefix']."_survey_orders";
$survey_query = "SELECT * FROM $table_name WHERE  job_card_no = '".$job_card_no."' ";
$survey_result = mySQL_query($survey_query);
$survey_num = mysql_num_rows($survey_result);

if ($survey_num==1) {
$result_1 = mysql_result($survey_result, 0, "result_1");
$result_2 = mysql_result($survey_result, 0, "result_2");
$result_3 = mysql_result($survey_result, 0, "result_3");
$result_4 = mysql_result($survey_result, 0, "result_4");
$cust_notes = mysql_result($survey_result, 0, "cust_notes");
}
?>


<!--style sheets-->
<link href="../css/main.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />
<link rel="stylesheet" href="../window/dhtmlwindow.css" type="text/css" />
<link rel="stylesheet" href="../window/modal.css" type="text/css" />

<!--jscript-->
<script language="JavaScript" src="../jscript/tooltip.js"  type="text/javascript"></script> 

  
</head>
<body>
<?php
include ("../navigation/header.php");
$page_name = "Orders-main";
include ("../navigation/access.php");

if ($permission_num==1) {
	include ("../navigation/orders_sidebar.php");
?>
<div class="main_frame" style="height:auto;">
  <div class="page_head_frame">
      <table width="809" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="472"><label class="label_page_head">Survey report job:</label>
              &nbsp;&nbsp;&nbsp;<label class="label_page_head_2">&nbsp;&nbsp;&nbsp; <?php echo $name ?></label></td>
            <td width="208">Job card no.:<label style="font-size:24px; color:#209949;"><?php echo $job_card_no ?></label></td>
            </tr>
        </table>
      </div>
<div class="page_middle_frame">
<div class="page_inside_frame">
<?php 
		include ('../include/customer_block.php');
		echo '<br>';
		include ('../include/job_block.php')
		?>
</div>        
<div class="page_inside_frame">
     <table width="650" id="table_details_display">
  <tr>
    <td width="126">Install date:</td>
    <td width="217"><?php echo date("d-m-Y", strtotime($install_date)) ?>&nbsp;</td>
    <td width="110">Confirmed:</td>
    <td width="177"><?php echo $confirmed ?>&nbsp;</td>
  </tr>
  <tr>
    <td>Foreman:</td>
    <td><?php echo $forman_name ?>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>Site contact:</td>
    <td><?php echo $site_contact ?>&nbsp;</td>
    <td>Site phone no:</td>
    <td><?php echo $site_no ?>&nbsp;</td>
  </tr>
  <tr>
    <td>Vehicle:</td>
    <td colspan="3"><?php echo $vehicle_name ?>&nbsp;</td>
    </tr>
  <tr>
    <td>Route description:</td>
    <td colspan="3"><?php echo $route_description ?></td>
    </tr>
    </table>
</div>
<div class="page_inside_frame">
  <table width="600" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="320" height="31">Office team and sales team knowledge &amp; assstance.</td>
      <td width="280"><?php 
	switch ($result_1) {
    case 0:
	  echo 'poor';
	break;
	case 1:
	  echo 'average';
	break;
	case 2:
	  echo 'good';
	break;
	  }
	 ?></td>
    </tr>
    <tr>
      <td height="30">Quality of product &amp; workmanship.</td>
      <td><?php 
	switch ($result_2) {
    case 0:
	  echo 'poor';
	break;
	case 1:
	  echo 'average';
	break;
	case 2:
	  echo 'good';
	break;
	  }
	 ?></td>
    </tr>
    <tr>
      <td height="30">Overall customer service.</td>
      <td><?php 
	switch ($result_3) {
    case 0:
	  echo 'poor';
	break;
	case 1:
	  echo 'average';
	break;
	case 2:
	  echo 'good';
	break;
	}
	 ?></td>
    </tr>
    <tr>
      <td height="30">Would you recommend or buy again?</td>
      <td><?php 
	switch ($result_4) {
    case 0:
	  echo 'no';
	break;
	case 1:
	  echo 'maybe';
	break;
	case 2:
	  echo 'yes';
	break;
	  }
	 ?></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
  </table>
  <p>Customer comments:</p>
  <p>
    <?php echo $cust_notes ?>
  </p>
</div>
</div>
  
</div>

<?php include ('../navigation/side_bar.php'); ?>

</body>
<?php } else {
$_SESSION['denied_return'] = "sales/sales_main.php";	
include ("../navigation/sales_sidebar.php");?>
	<body onLoad="accessdenied(); return false">
	</body>
<?php }
?>
</html>